Lists ingestion logs.
HTTP request
GET https://foodorderingaiagent.googleapis.com/v1/{parent=projects/*/locations/*/brands/*}/ingestionLogs
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
parent |
Required. The parent resource, which owns this collection of ingestion logs. Format: projects/{project}/locations/{location}/brands/{brand} |
Query parameters
| Parameters | |
|---|---|
pageSize |
Optional. The maximum number of ingestion logs to return. The service may return fewer than this value. If unspecified, at most 50 ingestion logs will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000. |
pageToken |
Optional. A page token, received from a previous When paginating, all other parameters provided to |
filter |
Optional. Filter expression to restrict ingestion logs returned. |
Request body
The request body must be empty.
Response body
Response message for MenuService.ListIngestionLogs.
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{
"ingestionLogs": [
{
object ( |
| Fields | |
|---|---|
ingestionLogs[] |
The ingestion logs from the specified collection. |
nextPageToken |
A token, which can be sent as |
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/cloud-platform
For more information, see the Authentication Overview.